GDB (xrefs)

Public Attributes | List of all members
lm32_frame_cache Struct Reference

## Public Attributes
CORE_ADDR | base
CORE_ADDR | pc
int | size
struct trad_frame_saved_reg * | saved_regs

## Detailed Description

Definition at line 53 of file lm32-tdep.c.

## Member Data Documentation

## ◆ base

CORE_ADDR lm32_frame_cache::base

Definition at line 56 of file lm32-tdep.c.

Referenced by lm32_frame_base_address(), lm32_frame_cache(), and lm32_frame_this_id().

## ◆ pc

CORE_ADDR lm32_frame_cache::pc

Definition at line 57 of file lm32-tdep.c.

Referenced by lm32_frame_cache(), and lm32_frame_this_id().

## ◆ saved_regs

struct trad_frame_saved_reg* lm32_frame_cache::saved_regs

Definition at line 61 of file lm32-tdep.c.

Referenced by lm32_analyze_prologue(), lm32_frame_cache(), and lm32_frame_prev_register().

## ◆ size

int lm32_frame_cache::size

Definition at line 59 of file lm32-tdep.c.

Referenced by lm32_analyze_prologue(), and lm32_frame_cache().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/lm32-tdep.c